--- GDE/SUPPORT/CAP2.c	2016-08-22 18:27:49.000000000 +0800
+++ GDE/SUPPORT/CAP2.c	2026-05-22 04:18:04.000000000 +0800
@@ -157,6 +157,8 @@
 */
 
 #include   <stdio.h>
+#include   <stdlib.h>
+#include   <string.h>
 
 int OVERLEN;        /* Minimum length of any overlap */
 float PERCENT;      /* Minimum identity percentage of any overlap */
@@ -273,9 +275,12 @@
 } *piece;		/* array of segment records */
 char  *allconsen, *allconpt;		/* Storing consensus sequences */
 
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Wimplicit-int"
+
 main(argc, argv) int argc; 
 char *argv[];
-{ 
+{
 	int   M;        			/* Sequence length */
 	int  V[128][128], Q,R;		/* Weights  */
 	int  V1[128][128], R1;		/* Light weights  */
@@ -2302,3 +2307,4 @@
 	return(p);
 }
 
+#pragma GCC diagnostic pop

--- GDE/SUPPORT/count.c	2016-05-02 19:19:08.000000000 +0800
+++ GDE/SUPPORT/count.c	2026-05-22 04:55:29.000000000 +0800
@@ -25,144 +25,8 @@
 struct data_format data[10000];
 float parta[200], partc[200], partg[200], partu[200], setdist();
 
-main(ac,av)
-int ac;
-char **av;
-{
-	int i,j,k;
-	extern int ReadFlat();
-	FILE *file;
-
-	width = 1;
-	jump = 1;
-	if(ac==1)
-	{
-		fprintf(stderr,
-		    "usage: %s [-sim] [-case] [-c=<none,olsen,jukes>] ",av[0]);
-		fprintf(stderr,"[-t] alignment_flat_file\n");
-		exit(1);
-	}
-	for(j=1;j<ac-1;j++)
-	{
-		getarg(av,j,argtyp,argval);
-		if(strcmp(argtyp,"-s=") == 0)
-		{
-			j++;
-			sscanf(argval,"%d",&start);
-			start --;
-		}
-		else if(strcmp(argtyp,"-m=") == 0)
-		{
-			j++;
-			sscanf(argval,"%d",&width);
-		}
-		else if(strcmp(argtyp,"-j=") == 0)
-		{
-			j++;
-			sscanf(argval,"%d",&jump);
-		}
-		else if(strcmp(argtyp,"-case") == 0)
-			usecase = TRUE;
-
-		else if(strcmp(argtyp,"-sim") == 0)
-			sim = TRUE;
-
-		else if(strcmp(argtyp,"-c=") == 0)
-		{
-			if(strcmp(argval,"olsen") == 0)
-				correction = OLSEN;
-
-			else if(strcmp(argval,"none") == 0)
-				correction = NONE;
-
-			else if(strcmp(argval,"jukes") == 0)
-				correction = JUKES;
-
-			else
-				fprintf(stderr,"Correction type %s %s\n",
-				    argval,"unknown, using JUKES");
-		}
-		else if(strcmp("-t",argtyp) == 0)
-			tbl = TRUE;
-
-		else if(strcmp("-ac=",argtyp) == 0 || strcmp("-ca=",argtyp)== 0)
-		{
-			j++;
-			sscanf(argval,"%f",&acwt);
-			special = TRUE;
-		}
-		else if(strcmp("-au=",argtyp) == 0 || strcmp("-ua=",argtyp)== 0)
-		{
-			j++;
-			sscanf(argval,"%f",&auwt);
-			special = TRUE;
-		}
-		else if(strcmp("-ag=",argtyp) == 0 || strcmp("-ga=",argtyp)== 0)
-		{
-			j++;
-			sscanf(argval,"%f",&agwt);
-			special = TRUE;
-		}
-		else if(strcmp("-uc=",argtyp) == 0 || strcmp("-cu=",argtyp)== 0)
-		{
-			j++;
-			sscanf(argval,"%f",&ucwt);
-			special = TRUE;
-		}
-		else if(strcmp("-ug=",argtyp) == 0 || strcmp("-gu=",argtyp)== 0)
-		{
-			j++;
-			sscanf(argval,"%f",&ugwt);
-			special = TRUE;
-		}
-		else if(strcmp("-gc=",argtyp) == 0 || strcmp("-cg=",argtyp)== 0)
-		{
-			j++;
-			sscanf(argval,"%f",&gcwt);
-			special = TRUE;
-		}
-		else if(strcmp("-transition=",argtyp) == 0)
-		{
-			j++;
-			sscanf(argval,"%f",&ucwt);
-			agwt = ucwt;
-			special = TRUE;
-		}
-		else if(strcmp("-transversion=",argtyp) == 0)
-		{
-			j++;
-			sscanf(argval,"%f",&gcwt);
-			ugwt = gcwt;
-			acwt = gcwt;
-			auwt = gcwt;
-			special = TRUE;
-		}
-	}
-
-
-	file = fopen(av[ac-1],"r");
-	if ((file == NULL) || (ac == 1))
-	{
-		fprintf(stderr,"Error opening input file %s\n",av[ac-1]);
-		exit(1);
-	}
-
-	numseq = ReadFlat(file,data,10000);
-
-	fclose(file);
-	SetPart();
-
-	for(j=0;j<numseq-1;j++)
-		for(k=j+1;k<numseq;k++)
-		{
-			Compare(j,k,&num,&denom);
-			dist[j][k] = setdist(num,denom,j,k);
-		}
-
-	Report();
-	exit(0);
-}
-
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Wimplicit-int"
 
 Compare(a,b,num,denom)
 int a,b,*num,*denom;
@@ -258,7 +122,6 @@
 	return 0;
 }
 
-
 float setdist(num,denom,a,b)
 int num,denom,a,b;
 {
@@ -291,7 +154,6 @@
 		return( -(1.0-cor)*log(1.0 / (1.0-cor)*((float)num/(float)denom-cor)));
 }
 
-
 getarg(av,ndx,atype,aval)
 char **av,atype[],aval[];
 int ndx;
@@ -372,7 +234,6 @@
 	return 0;
 }
 
-
 Report()
 {
 	int i,ii,jj,j,k;
@@ -397,7 +258,6 @@
 	return 0;
 }
 
-
 int find(b,a)
 char *a,*b;
 {
@@ -415,3 +275,141 @@
 	return flag;
 }
 
+main(ac,av)
+int ac;
+char **av;
+{
+	int i,j,k;
+	extern int ReadFlat();
+	FILE *file;
+
+	width = 1;
+	jump = 1;
+	if(ac==1)
+	{
+		fprintf(stderr,
+		    "usage: %s [-sim] [-case] [-c=<none,olsen,jukes>] ",av[0]);
+		fprintf(stderr,"[-t] alignment_flat_file\n");
+		exit(1);
+	}
+	for(j=1;j<ac-1;j++)
+	{
+		getarg(av,j,argtyp,argval);
+		if(strcmp(argtyp,"-s=") == 0)
+		{
+			j++;
+			sscanf(argval,"%d",&start);
+			start --;
+		}
+		else if(strcmp(argtyp,"-m=") == 0)
+		{
+			j++;
+			sscanf(argval,"%d",&width);
+		}
+		else if(strcmp(argtyp,"-j=") == 0)
+		{
+			j++;
+			sscanf(argval,"%d",&jump);
+		}
+		else if(strcmp(argtyp,"-case") == 0)
+			usecase = TRUE;
+
+		else if(strcmp(argtyp,"-sim") == 0)
+			sim = TRUE;
+
+		else if(strcmp(argtyp,"-c=") == 0)
+		{
+			if(strcmp(argval,"olsen") == 0)
+				correction = OLSEN;
+
+			else if(strcmp(argval,"none") == 0)
+				correction = NONE;
+
+			else if(strcmp(argval,"jukes") == 0)
+				correction = JUKES;
+
+			else
+				fprintf(stderr,"Correction type %s %s\n",
+				    argval,"unknown, using JUKES");
+		}
+		else if(strcmp("-t",argtyp) == 0)
+			tbl = TRUE;
+
+		else if(strcmp("-ac=",argtyp) == 0 || strcmp("-ca=",argtyp)== 0)
+		{
+			j++;
+			sscanf(argval,"%f",&acwt);
+			special = TRUE;
+		}
+		else if(strcmp("-au=",argtyp) == 0 || strcmp("-ua=",argtyp)== 0)
+		{
+			j++;
+			sscanf(argval,"%f",&auwt);
+			special = TRUE;
+		}
+		else if(strcmp("-ag=",argtyp) == 0 || strcmp("-ga=",argtyp)== 0)
+		{
+			j++;
+			sscanf(argval,"%f",&agwt);
+			special = TRUE;
+		}
+		else if(strcmp("-uc=",argtyp) == 0 || strcmp("-cu=",argtyp)== 0)
+		{
+			j++;
+			sscanf(argval,"%f",&ucwt);
+			special = TRUE;
+		}
+		else if(strcmp("-ug=",argtyp) == 0 || strcmp("-gu=",argtyp)== 0)
+		{
+			j++;
+			sscanf(argval,"%f",&ugwt);
+			special = TRUE;
+		}
+		else if(strcmp("-gc=",argtyp) == 0 || strcmp("-cg=",argtyp)== 0)
+		{
+			j++;
+			sscanf(argval,"%f",&gcwt);
+			special = TRUE;
+		}
+		else if(strcmp("-transition=",argtyp) == 0)
+		{
+			j++;
+			sscanf(argval,"%f",&ucwt);
+			agwt = ucwt;
+			special = TRUE;
+		}
+		else if(strcmp("-transversion=",argtyp) == 0)
+		{
+			j++;
+			sscanf(argval,"%f",&gcwt);
+			ugwt = gcwt;
+			acwt = gcwt;
+			auwt = gcwt;
+			special = TRUE;
+		}
+	}
+
+	file = fopen(av[ac-1],"r");
+	if ((file == NULL) || (ac == 1))
+	{
+		fprintf(stderr,"Error opening input file %s\n",av[ac-1]);
+		exit(1);
+	}
+
+	numseq = ReadFlat(file,data,10000);
+
+	fclose(file);
+	SetPart();
+
+	for(j=0;j<numseq-1;j++)
+		for(k=j+1;k<numseq;k++)
+		{
+			Compare(j,k,&num,&denom);
+			dist[j][k] = setdist(num,denom,j,k);
+		}
+
+	Report();
+	exit(0);
+}
+
+#pragma GCC diagnostic pop

--- GDE/SUPPORT/findall.c	2016-05-02 19:19:08.000000000 +0800
+++ GDE/SUPPORT/findall.c	2026-05-22 04:57:11.000000000 +0800
@@ -4,6 +4,34 @@
 */
 #include "Flatio.c"
 
+int CompIUP(a,b)
+char a,b;
+{
+	static int tmatr[16] = {'-','a','c','m','g','r','s','v',
+                        't','w','y','h','k','d','b','n'};
+ 
+        static int matr[128] = {
+        0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0x00,
+        0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
+        0x01,0xe,0x02,0x0d,0,0,0x04,0x0b,0,0,0x0c,0,0x03,0x0f,0,0,0,0x05,0x06,
+        0x08,0x08,0x07,0x09,0x00,0xa,0,0,0,0,0,0,0,0x01,0x0e,0x02,0x0d,0,0,0x04,
+        0x0b,0,0,0x0c,0,0x03,0x0f,0,0,0,0x05,0x06,0x08,0x08,0x07,0x09,0x00,0x0a,
+        0,0,0,0,0x00,0
+        };
+
+
+	int testa,testb;
+
+	if(a&32 != b&32)
+		return(FALSE);
+
+	testa = matr[(int)a];
+	testb = matr[(int)b];
+	return(testa&testb);
+}
+
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Wimplicit-int"
 
 main(ac,av)
 int ac;
@@ -98,29 +126,4 @@
 	exit(0);
 }
 
-
-int CompIUP(a,b)
-char a,b;
-{
-	static int tmatr[16] = {'-','a','c','m','g','r','s','v',
-                        't','w','y','h','k','d','b','n'};
- 
-        static int matr[128] = {
-        0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0x00,
-        0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
-        0x01,0xe,0x02,0x0d,0,0,0x04,0x0b,0,0,0x0c,0,0x03,0x0f,0,0,0,0x05,0x06,
-        0x08,0x08,0x07,0x09,0x00,0xa,0,0,0,0,0,0,0,0x01,0x0e,0x02,0x0d,0,0,0x04,
-        0x0b,0,0,0x0c,0,0x03,0x0f,0,0,0,0x05,0x06,0x08,0x08,0x07,0x09,0x00,0x0a,
-        0,0,0,0,0x00,0
-        };
-
-
-	int testa,testb;
-
-	if(a&32 != b&32)
-		return(FALSE);
-
-	testa = matr[(int)a];
-	testb = matr[(int)b];
-	return(testa&testb);
-}
+#pragma GCC diagnostic pop

--- GDE/SUPPORT/Flatio.c	2016-05-02 19:19:08.000000000 +0800
+++ GDE/SUPPORT/Flatio.c	2026-05-22 04:49:22.000000000 +0800
@@ -1,5 +1,8 @@
 /* #include <malloc.h> */
 #include <stdio.h>
+#include <stdlib.h>
+#include <string.h>
+
 #define TRUE 1
 #define FALSE 0
 #define MAX(a,b) ((a)>(b)?(a):(b))
@@ -14,6 +17,8 @@
 	char type;
 };
 
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Wimplicit-int"
 
 ErrorOut(code,string)
 int code;
@@ -57,8 +62,6 @@
         return(temp);
 }
 
-
-
 int ReadFlat(file,align,maxseqs)
 FILE *file;
 struct data_format align[];
@@ -134,7 +137,6 @@
 	return(++count);
 }
 
-
 Errorout2(string)
 char *string;
 {
@@ -166,4 +168,4 @@
         return 0;
 }
 
-
+#pragma GCC diagnostic pop

--- GDE/SUPPORT/lsadt.c	2016-05-02 19:19:08.000000000 +0800
+++ GDE/SUPPORT/lsadt.c	2026-05-22 05:09:04.000000000 +0800
@@ -32,6 +32,8 @@
   C-----------------------------------------------------------------------
 */
 #include <stdio.h>
+#include <stdlib.h>
+#include <string.h>
 #include <math.h>
 
 #ifdef DARWIN
@@ -45,7 +47,7 @@
 #include <ctype.h>
 #include <fcntl.h>
 #include <errno.h>
-
+#include <unistd.h>
 
 #define BUFLEN	1024
 #define MAXLEAVES	256
@@ -149,6 +151,39 @@
 }
 #define gd(i,j)  ( (j<i)? d[i][j] : d[j][i] )
 
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Wimplicit-int"
+
+show_error(message)
+     char *message;
+{
+	printf("\n>>>>ERROR:\n>>>>%s\n", message);
+	exit(0);
+}
+
+show_help()
+{
+	printf("\nlsadt--options:\n");
+	printf("  -f file  - write report to 'file'\n");
+	printf("  -d       - treat data as dissimilarities (default)\n");
+	printf("  -s       - treat data as similarities\n");
+	printf("  -print 0 - don't print out iteration history (default)\n");
+	printf("  -print n>0 - print out iteration history every n iterations\n");
+	printf("  -print n<0 - print out iteration history every n iterations\n");
+	printf("               (including current distance estimates & gradients)\n");
+	printf("  -init  n - initial parameter estimates (default = 3)\n");
+	printf("         n=1 - uniformly distributed random numbers\n");
+	printf("         n=2 - error-perturbed data\n");
+	printf("         n=3 - original distance data from input matrix\n");
+	printf("  -save    - save final parameter estimates (default is don't save\n");
+	printf("  -seed  n - seed for random number generator (default = 12345)\n");
+	printf("  -ps1   n - convergence criterion for inner iterations (default = 0.0001)\n");
+	printf("  -ps2   n - convergence criterion for major iterations (default = 0.0001)\n");
+	printf("  -empty n - missing data indicator (default = 0.0)\n");
+	printf("  -help    - show this help text\n");
+	exit(0);
+}
+
 #if 0
 double gd(i, j)
      int i, j;
@@ -1280,35 +1315,8 @@
 	printf("\n);\n");
 }
 
-show_help()
-{
-	printf("\nlsadt--options:\n");
-	printf("  -f file  - write report to 'file'\n");
-	printf("  -d       - treat data as dissimilarities (default)\n");
-	printf("  -s       - treat data as similarities\n");
-	printf("  -print 0 - don't print out iteration history (default)\n");
-	printf("  -print n>0 - print out iteration history every n iterations\n");
-	printf("  -print n<0 - print out iteration history every n iterations\n");
-	printf("               (including current distance estimates & gradients)\n");
-	printf("  -init  n - initial parameter estimates (default = 3)\n");
-	printf("         n=1 - uniformly distributed random numbers\n");
-	printf("         n=2 - error-perturbed data\n");
-	printf("         n=3 - original distance data from input matrix\n");
-	printf("  -save    - save final parameter estimates (default is don't save\n");
-	printf("  -seed  n - seed for random number generator (default = 12345)\n");
-	printf("  -ps1   n - convergence criterion for inner iterations (default = 0.0001)\n");
-	printf("  -ps2   n - convergence criterion for major iterations (default = 0.0001)\n");
-	printf("  -empty n - missing data indicator (default = 0.0)\n");
-	printf("  -help    - show this help text\n");
-	exit(0);
-}
-
-show_error(message)
-     char *message;
-{
-	printf("\n>>>>ERROR:\n>>>>%s\n", message);
-	exit(0);
-}
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Wint-conversion"
 
 main(argc, argv)
      int argc;
@@ -1353,3 +1361,6 @@
 	if(report)
 		close(reportf);
 }
+
+#pragma GCC diagnostic pop
+#pragma GCC diagnostic pop

--- GDE/SUPPORT/Restriction.c	2016-05-02 19:19:08.000000000 +0800
+++ GDE/SUPPORT/Restriction.c	2026-05-22 04:50:51.000000000 +0800
@@ -4,6 +4,70 @@
 */
 #include "Flatio.c"
 
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Wimplicit-int"
+
+Comp(a,b)
+char a,b;
+{
+        static int CtoB[128]={
+        0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0x00,
+        0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
+        0x01,0xe,0x02,0x0d,0,0,0x04,0x0b,0,0,0x0c,0,0x03,0x0f,0,0,0,0x05,0x06,
+        0x08,0x08,0x07,0,0x09,0xa,0,0,0,0,0,0,0,0x01,0x0e,0x02,0x0d,0,0,0x04,
+        0x0b,0,0,0x0c,0,0x03,0x0f,0,0,0,0x05,0x06,0x08,0x08,0x07,0,0x09,0x0a,
+        0,0,0,0,0x00,0
+        };
+
+        static int BtoC[128] =
+        {
+        '-','A','C','M','G','R','S','V','T','W','Y','H','K','D','B','N',
+        '~','a','c','m','g','r','s','v','t','w','y','h','k','d','b','n',
+        '-','A','C','M','G','R','S','V','T','W','Y','H','K','D','B','N',
+        '~','a','c','m','g','r','s','v','t','w','y','h','k','d','b','n',
+        '-','A','C','M','G','R','S','V','T','W','Y','H','K','D','B','N',
+        '~','a','c','m','g','r','s','v','t','w','y','h','k','d','b','n',
+        '-','A','C','M','G','R','S','V','T','W','Y','H','K','D','B','N',
+        '~','a','c','m','g','r','s','v','t','w','y','h','k','d','b','n',
+        };
+
+
+        return ((CtoB[a]) & (CtoB[b]));
+}
+
+FindNext(target,offset,enzymes,numenzymes,match_len,color)
+char *target,enzymes[][80];
+int numenzymes,*match_len,*color;
+{
+        int i,j,k,closest,len1,dif,flag = FALSE;
+	closest = strlen(target);
+	*match_len = 0;
+	for(k=0;k<numenzymes;k++)
+	{
+	        dif = (strlen(target)) - (len1 = strlen(enzymes[k])) +1;
+
+        	if(len1>0)
+                	for(flag = FALSE,j=offset;j<dif && flag == FALSE;j++)
+                	{
+                        	flag = TRUE;
+                        	for(i=0;i<len1 && flag;i++)
+				{
+                                	flag = Comp(enzymes[k][i],target[i+j])?
+					TRUE:FALSE;
+				}
+                	}
+		if(j-1<closest)
+		{
+			closest = j-1;
+			*color = k%6+1;
+			*match_len = strlen(enzymes[k]);
+		}
+	}
+	if(closest + *match_len < strlen(target))
+	        return(closest);
+	else
+		return(-1);
+}
 
 main(ac,av)
 int ac;
@@ -66,65 +130,4 @@
 	exit(0);
 }
 
-
-FindNext(target,offset,enzymes,numenzymes,match_len,color)
-char *target,enzymes[][80];
-int numenzymes,*match_len,*color;
-{
-        int i,j,k,closest,len1,dif,flag = FALSE;
-	closest = strlen(target);
-	*match_len = 0;
-	for(k=0;k<numenzymes;k++)
-	{
-	        dif = (strlen(target)) - (len1 = strlen(enzymes[k])) +1;
-
-        	if(len1>0)
-                	for(flag = FALSE,j=offset;j<dif && flag == FALSE;j++)
-                	{
-                        	flag = TRUE;
-                        	for(i=0;i<len1 && flag;i++)
-				{
-                                	flag = Comp(enzymes[k][i],target[i+j])?
-					TRUE:FALSE;
-				}
-                	}
-		if(j-1<closest)
-		{
-			closest = j-1;
-			*color = k%6+1;
-			*match_len = strlen(enzymes[k]);
-		}
-	}
-	if(closest + *match_len < strlen(target))
-	        return(closest);
-	else
-		return(-1);
-}
-
-Comp(a,b)
-char a,b;
-{
-        static int CtoB[128]={
-        0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0x00,
-        0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
-        0x01,0xe,0x02,0x0d,0,0,0x04,0x0b,0,0,0x0c,0,0x03,0x0f,0,0,0,0x05,0x06,
-        0x08,0x08,0x07,0,0x09,0xa,0,0,0,0,0,0,0,0x01,0x0e,0x02,0x0d,0,0,0x04,
-        0x0b,0,0,0x0c,0,0x03,0x0f,0,0,0,0x05,0x06,0x08,0x08,0x07,0,0x09,0x0a,
-        0,0,0,0,0x00,0
-        };
-
-        static int BtoC[128] =
-        {
-        '-','A','C','M','G','R','S','V','T','W','Y','H','K','D','B','N',
-        '~','a','c','m','g','r','s','v','t','w','y','h','k','d','b','n',
-        '-','A','C','M','G','R','S','V','T','W','Y','H','K','D','B','N',
-        '~','a','c','m','g','r','s','v','t','w','y','h','k','d','b','n',
-        '-','A','C','M','G','R','S','V','T','W','Y','H','K','D','B','N',
-        '~','a','c','m','g','r','s','v','t','w','y','h','k','d','b','n',
-        '-','A','C','M','G','R','S','V','T','W','Y','H','K','D','B','N',
-        '~','a','c','m','g','r','s','v','t','w','y','h','k','d','b','n',
-        };
-
-
-        return ((CtoB[a]) & (CtoB[b]));
-}
+#pragma GCC diagnostic pop

--- GDE/SUPPORT/sho_helix.c	2016-05-02 19:19:08.000000000 +0800
+++ GDE/SUPPORT/sho_helix.c	2026-05-22 05:11:25.000000000 +0800
@@ -4,6 +4,41 @@
 #define BLUE 6
 #define YELLOW 1
 #define AQUA 4
+
+int match(a,b)
+char a,b;
+{
+	char aa,bb;
+	aa=a|32;
+	bb=b|32;
+
+	fprintf(stderr,"%c %c\n",aa,bb);
+
+	if(a=='-' || a=='~')
+	{
+		if((b=='-') || (b=='~'))
+			return(BLACK);
+		else
+			return(RED);
+	}
+	else if(aa=='a' && (bb=='t' || bb=='u'))
+		return(BLUE);
+	else if(bb=='a' && (aa=='t' || aa=='u'))
+		return(BLUE);
+	else if(bb=='c' && aa=='g' )
+		return(BLUE);
+	else if(bb=='g' && aa=='c' )
+		return(BLUE);
+	else if(aa=='g' && (bb=='t' || bb=='u'))
+		return(AQUA);
+	else if(bb=='g' && (aa=='t' || aa=='u'))
+		return(AQUA);
+	else return(YELLOW);
+}
+
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Wimplicit-int"
+
 main()
 {
 	struct data_format data[10000];
@@ -51,37 +86,5 @@
 		}
 	exit(0);
 }
-			
-
-
-int match(a,b)
-char a,b;
-{
-	char aa,bb;
-	aa=a|32;
-	bb=b|32;
-
-	fprintf(stderr,"%c %c\n",aa,bb);
-
-	if(a=='-' || a=='~')
-	{
-		if((b=='-') || (b=='~'))
-			return(BLACK);
-		else
-			return(RED);
-	}
-	else if(aa=='a' && (bb=='t' || bb=='u'))
-		return(BLUE);
-	else if(bb=='a' && (aa=='t' || aa=='u'))
-		return(BLUE);
-	else if(bb=='c' && aa=='g' )
-		return(BLUE);
-	else if(bb=='g' && aa=='c' )
-		return(BLUE);
-	else if(aa=='g' && (bb=='t' || bb=='u'))
-		return(AQUA);
-	else if(bb=='g' && (aa=='t' || aa=='u'))
-		return(AQUA);
-	else return(YELLOW);
-}
 
+#pragma GCC diagnostic pop

--- GDE/SUPPORT/varpos.c	2016-05-02 19:19:08.000000000 +0800
+++ GDE/SUPPORT/varpos.c	2026-05-22 05:12:52.000000000 +0800
@@ -1,5 +1,7 @@
 #include <stdlib.h>
+
 #include "Flatio.c"
+
 #define MAX(a,b) ((a)>(b)?(a):(b))
  
 /*
@@ -12,7 +14,10 @@
 * 
 *       Copyright 1991/1992 Steven Smith, Harvard Genome lab. 
 * 
-*/ 
+*/
+
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Wimplicit-int"
 
 main(ac,av)
 int ac;  
@@ -84,3 +89,5 @@
 	}
 	exit(0);
 }
+
+#pragma GCC diagnostic pop

--- GDE/SUPPORT/Zuk_to_gen.c	2016-08-22 18:27:49.000000000 +0800
+++ GDE/SUPPORT/Zuk_to_gen.c	2026-05-22 04:53:03.000000000 +0800
@@ -1,4 +1,6 @@
 #include <stdio.h>
+#include <stdlib.h>
+#include <string.h>
 
 typedef struct Sequence
 {
@@ -8,6 +10,44 @@
         char *nuc;
 } Sequence;
 
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Wimplicit-int"
+
+WriteGen(seq,file,numseq)
+Sequence *seq;
+FILE *file;
+int numseq;
+{
+        register i,j;
+        char temp[14];
+
+        for(j=0;j<numseq;j++)
+                fprintf(file,"%-.12s\n",seq[j].name);
+
+        fprintf(file,"ZZZZZZZZZZ\n");
+
+        for(j=0;j<numseq;j++)
+        {
+                strcpy(temp,seq[j].name);
+                for(i=strlen(temp);i<13;i++)
+                        temp[i] = ' ';
+                temp[i] = '\0';
+                fprintf(file,"LOCUS      %-.12s %s	%d BP\n",temp,
+		seq[j].type,seq[j].len);
+ 
+                fprintf(file,"ORIGIN");
+                for(i=0;i<seq[j].len;i++)
+                {
+                        if(i%60 == 0)
+                                fprintf(file,"\n%9d",i+1);
+                        if(i%10 == 0)
+                                fprintf(file," ");
+                        fprintf(file,"%c",seq[j].nuc[i]);
+                }
+                fprintf(file,"\n//\n");
+        }
+        return 0;
+}
 
 main()
 {
@@ -64,41 +104,4 @@
 	exit(0);
 }
 
-
-
-WriteGen(seq,file,numseq)
-Sequence *seq;
-FILE *file;
-int numseq;
-{
-        register i,j;
-        char temp[14];
-
-        for(j=0;j<numseq;j++)
-                fprintf(file,"%-.12s\n",seq[j].name);
-
-        fprintf(file,"ZZZZZZZZZZ\n");
-
-        for(j=0;j<numseq;j++)
-        {
-                strcpy(temp,seq[j].name);
-                for(i=strlen(temp);i<13;i++)
-                        temp[i] = ' ';
-                temp[i] = '\0';
-                fprintf(file,"LOCUS      %-.12s %s	%d BP\n",temp,
-		seq[j].type,seq[j].len);
- 
-                fprintf(file,"ORIGIN");
-                for(i=0;i<seq[j].len;i++)
-                {
-                        if(i%60 == 0)
-                                fprintf(file,"\n%9d",i+1);
-                        if(i%10 == 0)
-                                fprintf(file," ");
-                        fprintf(file,"%c",seq[j].nuc[i]);
-                }
-                fprintf(file,"\n//\n");
-        }
-        return 0;
-}
-
+#pragma GCC diagnostic pop
